Elog - Support #15337

Modified Entries Since Date
01/27/2017 03:19 AM - Beau Harrison

Status: Feedback Start date: 01/27/2017
Priority: Low Due date:

Assignee: Kyle Hazelwood % Done: 0%
Category: Database Estimated time: 0.00 hour
Target version: Version 2.0 Spent time: 0.00 hour
Description

| expect when using the http API that | can get all modified entries since a date using
https://www-bd.fnal.gov/Elog/api/search/entries?sortingField=Modified+Date&startDate=2017-01-27%20
01:01:32

this didn't work.
Any tips on how | can return the modified entries since date?

History

#1 - 02/14/2017 10:10 AM - Kyle Hazelwood
- Category set to Database

- Status changed from New to Assigned

- Assignee set to Kyle Hazelwood

- Priority changed from Normal to Low

There isn't any way currently. We need a isModified field to do this. When an entry is created its creation date and modified date are the same for
sorting reasons. I'll add this to the to do list...

#2 - 08/24/2018 01:06 PM - Kyle Hazelwood

- Status changed from Assigned to Feedback

There are now fields for min/max creation date and min/max modified date. Try the "minimumModifiedDate" field for this query.
